Daemon Power

The NetBSD Packages Collection: net/py-gcs-oauth2-boto-plugin

Brief description of the package:
Boto auth plugin for Google Cloud Storage

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://github.com/GoogleCloudPlatform/gcs-oauth2-boto-plugin.

Please note that this package has a apache-2.0 license.

The package is located in the "net/py-gcs-oauth2-boto-plugin" directory. The current source version of the package is "py37-gcs-oauth2-boto-plugin-2.2". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for net/py-gcs-oauth2-boto-plugin :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: py37-boto>=2.29.1 py37-filechunkio-[0-9]* python37>=3.7 libffi>=1.20 cwrappers>=20150314 libuuid>=2.18 libffi>=3.0.11 readline>=2.2 readline>=6.0 python37>=3.7.0 py37-setuptools>=0.8 py37-expat-[0-9]* python37>=3.7.5 py37-httplib2>=0.8 py37-google-reauth>=0.1.0 py37-oauth2client>=2 py37-asn1-[0-9]* py37-asn1-modules-[0-9]* py37-asn1>=0.4.1 py37-httplib2-[0-9]* py37-rsa-[0-9]* py37-asn1>=0.1.3 py37-six-[0-9]* py37-u2f-[0-9]* py37-six>=1.9.0 py37-mock>=1.0.1 py37-six>=1.7 py37-fakefs-[0-9]* py37-unittest2>=0.5.1 py37-six>=1.4 py37-argparse-[0-9]* py37-traceback2-[0-9]* py37-pbr-[0-9]* py37-linecache2-[0-9]* py37-oauth2client>=2.2.0 py37-OpenSSL>=0.13 py37-cryptography>=2.3 py37-asn1crypto>=0.21.0 py37-cffi>=1.11.4 py37-cparser-[0-9]* py37-cparser>=2.10 py37-idna>=2.1 py37-six>=1.4.1 py37-six>=1.5.2 py37-retry_decorator>=1.0.0 py37-six>=1.6.1 py37-SocksiPy-branch-1.01* .

This package requires the following package(s) to run: py37-boto>=2.29.1 py37-filechunkio-[0-9]* python37>=3.7 libffi>=1.20 libuuid>=2.18 libffi>=3.0.11 python37>=3.7.0 py37-setuptools>=0.8 py37-expat-[0-9]* python37>=3.7.5 py37-httplib2>=0.8 py37-google-reauth>=0.1.0 py37-oauth2client>=2 py37-asn1-[0-9]* py37-asn1-modules-[0-9]* py37-asn1>=0.4.1 py37-httplib2-[0-9]* py37-rsa-[0-9]* py37-asn1>=0.1.3 py37-six-[0-9]* py37-u2f-[0-9]* py37-six>=1.9.0 py37-mock>=1.0.1 py37-six>=1.7 py37-fakefs-[0-9]* py37-unittest2>=0.5.1 py37-six>=1.4 py37-argparse-[0-9]* py37-traceback2-[0-9]* py37-pbr-[0-9]* py37-linecache2-[0-9]* py37-oauth2client>=2.2.0 py37-OpenSSL>=0.13 py37-cryptography>=2.3 py37-asn1crypto>=0.21.0 py37-cffi>=1.11.4 py37-cparser-[0-9]* py37-cparser>=2.10 py37-idna>=2.1 py37-six>=1.4.1 py37-six>=1.5.2 py37-retry_decorator>=1.0.0 py37-six>=1.6.1 py37-SocksiPy-branch-1.01* .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
alpha:py27-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
alpha:py34-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
alpha:py35-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
alpha:py36-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
alpha:py37-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
alpha:py27-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
alpha:py34-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
alpha:py35-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
alpha:py36-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
alpha:py37-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
alpha:py27-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
alpha:py34-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
alpha:py35-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
alpha:py36-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
alpha:py37-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
earm:py27-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
earm:py27-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
earm:py36-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
earmv6hf:py27-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
earmv6hf:py36-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
earmv6hf:py37-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
earmv6hf:py27-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
earmv6hf:py36-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
earmv6hf:py37-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
earmv7hf:py27-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
earmv7hf:py36-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
earmv7hf:py37-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
earmv7hf:py27-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
earmv7hf:py36-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
earmv7hf:py37-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
i386:py27-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.0)
i386:py36-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.0)
i386:py37-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.0)
i386:py27-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.0)
i386:py34-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.0)
i386:py36-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.0)
i386:py37-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.0)
i386:py27-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.0)
i386:py36-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.0)
i386:py37-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.0)
i386:py27-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.1)
i386:py34-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.1)
i386:py36-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.1)
i386:py37-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.1)
i386:py27-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.1)
i386:py36-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.1)
i386:py37-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.1)
i386:py27-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.1)
i386:py36-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.1)
i386:py37-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.1)
i386:py27-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
i386:py36-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
i386:py37-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
i386:py27-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
i386:py34-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
i386:py35-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
i386:py36-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
i386:py37-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
i386:py27-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
i386:py36-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
i386:py37-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
mips64eb:py27-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
powerpc:py27-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.1)
powerpc:py34-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.1)
powerpc:py35-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.1)
powerpc:py36-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.1)
powerpc:py37-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.1)
powerpc:py27-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 9.0)
powerpc:py36-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 9.0)
powerpc:py37-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 9.0)
sparc64:py27-gcs-oauth2-boto-plugin-2.1.tgz(NetBSD 7.1)
sparc64:py34-gcs-oauth2-boto-plugin-2.1.tgz(NetBSD 7.1)
sparc64:py35-gcs-oauth2-boto-plugin-2.1.tgz(NetBSD 7.1)
sparc64:py36-gcs-oauth2-boto-plugin-2.1.tgz(NetBSD 7.1)
sparc64:py27-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
sparc64:py34-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
sparc64:py35-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
sparc64:py36-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
sparc64:py37-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
sparc64:py27-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
x86_64:py27-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.0)
x86_64:py36-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.0)
x86_64:py37-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.0)
x86_64:py27-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.0)
x86_64:py34-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.0)
x86_64:py36-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.0)
x86_64:py37-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.0)
x86_64:py27-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.0)
x86_64:py36-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.0)
x86_64:py37-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.0)
x86_64:py27-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.1)
x86_64:py36-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.1)
x86_64:py37-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.1)
x86_64:py27-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.1)
x86_64:py34-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.1)
x86_64:py36-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.1)
x86_64:py37-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.1)
x86_64:py27-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.1)
x86_64:py36-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.1)
x86_64:py37-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 7.1)
x86_64:py27-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
x86_64:py34-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
x86_64:py35-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
x86_64:py36-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
x86_64:py37-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
x86_64:py27-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
x86_64:py36-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
x86_64:py37-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
x86_64:py27-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
x86_64:py36-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)
x86_64:py37-gcs-oauth2-boto-plugin-2.2.tgz(NetBSD 8.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]